<template>
  <v-content>
    <carousel
      :nav="false"
      :loop="true"
      :center="true"
      :items="1"
      :dots="false"
      :margin="30"
      :autoplay="true"
      :autoplayHoverPause="true"
      :autoWidth="true"
      :autoHeight="true"
      :stagePadding="100"
    >
      <v-hover v-slot:default="{ hover }">
        <v-card :elevation="hover ? 12 : 2" :class="{ 'on-hover': hover }" class="slide">
          <h3>slide 1</h3>
        </v-card>
      </v-hover>

      <v-hover v-slot:default="{ hover }">
        <v-card :elevation="hover ? 12 : 2" :class="{ 'on-hover': hover }" class="slide">
          <h3>slide 2</h3>
        </v-card>
      </v-hover>

      <v-hover v-slot:default="{ hover }">
        <v-card :elevation="hover ? 12 : 2" :class="{ 'on-hover': hover }" class="slide">
          <h3>slide 3</h3>
        </v-card>
      </v-hover>
    </carousel>

    <v-container>
      <v-row>
        <v-col cols="4">
          <v-card>1</v-card>
        </v-col>
        <v-col cols="4">
          <v-card>2</v-card>
        </v-col>
        <v-col cols="4">
          <v-card>3</v-card>
        </v-col>
        <v-col cols="4">
          <v-card>4</v-card>
        </v-col>
        <v-col cols="4">
          <v-card>5</v-card>
        </v-col>
        <v-col cols="4">
          <v-card>6</v-card>
        </v-col>
      </v-row>

      <div class="mt-10 deals-header d-flex px-6 py-4 justify-space-between">
        <h2 class="font-weight-bold">Lightening Deals</h2>
        <span class="cursor-pointer mt-2 font-weight-medium">VIEW ALL</span>
      </div>
      <v-row class="mx-4 deals">
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="deal-card pa-6"
            >
              <div class="deal-image"></div>
              <h3 class="mt-3 font-weight-medium">Men White AIR</h3>

              <div class="mt-2 deal-type">Shoes</div>

              <div class="mt-4 deal-reduction">UPTO 20% OFF</div>
            </v-card>
          </v-hover>
        </v-col>
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="deal-card pa-6"
            >
              <div class="deal-image"></div>
              <h3 class="mt-3 font-weight-medium">Men White AIR</h3>

              <div class="mt-2 deal-type">Shoes</div>

              <div class="mt-4 deal-reduction">UPTO 20% OFF</div>
            </v-card>
          </v-hover>
        </v-col>
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="deal-card pa-6"
            >
              <div class="deal-image"></div>
              <h3 class="mt-3 font-weight-medium">Men White AIR</h3>

              <div class="mt-2 deal-type">Shoes</div>

              <div class="mt-4 deal-reduction">UPTO 20% OFF</div>
            </v-card>
          </v-hover>
        </v-col>
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="deal-card pa-6"
            >
              <div class="deal-image"></div>
              <h3 class="mt-3 font-weight-medium">Men White AIR</h3>

              <div class="mt-2 deal-type">Shoes</div>

              <div class="mt-4 deal-reduction">UPTO 20% OFF</div>
            </v-card>
          </v-hover>
        </v-col>
      </v-row>

      <v-row class="mt-10">
        <v-col cols="12 d-flex align-center justify-space-between">
          <h1 class="font-weight-medium">Top Products</h1>
          <span class="top-products-view-all">View all</span>
        </v-col>

        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="top-products-card pa-6"
            >
              <div class="top-products-image"></div>
              <div class="mt-3 deal-type">Jacket</div>

              <h3 class="mt-2 font-weight-medium">Super Jacket</h3>

              <div class="mt-3 deal-reduction">$82.75</div>

              <v-btn class="mt-4 orange-hover">Add to cart</v-btn>
            </v-card>
          </v-hover>
        </v-col>
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="top-products-card pa-6"
            >
              <div class="top-products-image"></div>
              <div class="mt-3 deal-type">Jacket</div>

              <h3 class="mt-2 font-weight-medium">Super Jacket</h3>

              <div class="mt-3 deal-reduction">$82.75</div>

              <v-btn class="mt-4 orange-hover">Add to cart</v-btn>
            </v-card>
          </v-hover>
        </v-col>
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="top-products-card pa-6"
            >
              <div class="top-products-image"></div>
              <div class="mt-3 deal-type">Jacket</div>

              <h3 class="mt-2 font-weight-medium">Super Jacket</h3>

              <div class="mt-3 deal-reduction">$82.75</div>

              <v-btn class="mt-4 orange-hover">Add to cart</v-btn>
            </v-card>
          </v-hover>
        </v-col>
        <v-col cols="3">
          <v-hover v-slot:default="{ hover }">
            <v-card
              :elevation="hover ? 12 : 2"
              :class="{ 'on-hover': hover }"
              class="top-products-card pa-6"
            >
              <div class="top-products-image"></div>
              <div class="mt-3 deal-type">Jacket</div>

              <h3 class="mt-2 font-weight-medium">Super Jacket</h3>

              <div class="mt-3 deal-reduction">$82.75</div>

              <v-btn class="mt-4 orange-hover">Add to cart</v-btn>
            </v-card>
          </v-hover>
        </v-col>

        <v-col cols="12" class="mt-5">
          <v-btn depressed large class="btn">SHOW ALL</v-btn>
        </v-col>
      </v-row>
    </v-container>
  </v-content>
</template>

<script>
import carousel from "vue-owl-carousel";

export default {
  name: "HomePage",
  components: {
    carousel
  },
  data: function() {
    return {};
  }
};
</script>

<style>
.slide {
  text-align: center;
  width: 700px;
  height: 380px;
  margin-top: 40px;
  margin-bottom: 40px;
  border-radius: 15px !important;
}

.cursor-pointer {
  cursor: pointer;
}

.deals-header {
  background-color: #283693;
  height: 220px;
  border-radius: 15px;
  color: white;
}

.deals-header > h2 {
  font-size: 28px;
}

.deals {
  margin-top: -100px;
  height: 425px;
}

.deal-card {
  height: 415px;
}

.deal-image {
  height: 249px;
  background-color: #e5e6e8;
}

.deal-card > h3 {
  font-size: 20px;
}

.deal-type {
  color: #9e9e9e;
  font-size: 15px;
}

.deal-reduction {
  color: #ff5824;
  font-size: 15px;
}

h1 {
  font-size: 35px;
}

.top-products-view-all {
  color: #283693;
  cursor: pointer;
}

.top-products-card {
  height: 485px;
}

.top-products-image {
  height: 280px;
  background-color: #e5e6e8;
}

.btn {
  width: 100%;
  border: 1px solid #d8d8d8;
}

.orange-hover {
  text-transform: none;
}

.top-products-card:hover > .orange-hover,
orange-hover:hover {
  background-color: #ff5824 !important;
  color: white;
}
</style>
